#pragma once

#include "BerkeleySocket.h"

#include "PlatformSocketClient.h"

#include <vector>

class UnixSocketClient : public PlatformSocketClient
{
public:
    UnixSocketClient();

    virtual ~UnixSocketClient();

    Result request(const Address& address, const std::string& message);
};
